# Generated from roostify-pkcs11-0.2.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name roostify-pkcs11

Name: rubygem-%{gem_name}
Version: 0.2.5
Release: 1%{?dist}
Summary: PKCS#11 binding for Ruby
License: MIT
URL: http://github.com/roostify/pkcs11
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc
# BuildRequires: rubygem(yard) >= 0.6
# BuildRequires: rubygem(rake-compiler) >= 0.9.2
# BuildRequires: rubygem(rake-compiler) < 0.10
# BuildRequires: rubygem(rake-compiler-dock) >= 0.4.3
# BuildRequires: rubygem(rake-compiler-dock) < 0.5
# BuildRequires: rubygem(minitest) >= 5.7
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(hoe-bundler) >= 1.0
# BuildRequires: rubygem(hoe-bundler) < 2
# BuildRequires: rubygem(hoe) >= 3.15
# BuildRequires: rubygem(hoe) < 4

%description
This module allows Ruby programs to interface with "RSA Security Inc. PKCS #11
Cryptographic Token Interface (Cryptoki)".


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%{gem_instdir}/.autotest
%exclude %{gem_instdir}/.gemtest
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/appveyor.yml
%{gem_libdir}
%{gem_instdir}/pkcs11_luna
%{gem_instdir}/pkcs11_protect_server
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 0.2.5-1
- Initial package
